#
# spec file for package python-hamcrest
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-hamcrest
Version:        1.9.0
Release:        bp153.1.16
Summary:        Hamcrest framework for matcher objects
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/hamcrest/PyHamcrest
Source:         http://pypi.python.org/packages/source/P/PyHamcrest/PyHamcrest-%{version}.tar.gz
Patch0:         0001-Add-boolean-matchers.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define "match" rules.

%prep
%setup -q -n PyHamcrest-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%files %python_files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.rst
%{python_sitelib}/PyHamcrest-%{version}-py*.egg-info/
%{python_sitelib}/hamcrest/

%changelog
* Mon Mar 13 2017 carlos@techbyte.ca
- Updating spec to address common python gotchas:
  * https://en.opensuse.org/openSUSE:Packaging_Python_Singlespec#Common_Gotchas
* Fri Mar 10 2017 carlos@techbyte.ca
- using python_expand macro for fdupes
* Fri Mar 10 2017 carlos@techbyte.ca
- adding fdupes.
* Fri Mar 10 2017 carlos@techbyte.ca
- Changing to singlespec
* Fri Feb  3 2017 carlos@techbyte.ca
- Changing name to be consistent with singlespec
* Fri Feb  3 2017 carlos@techbyte.ca
- Enabling python3 build, updating to latest version
* Wed Aug  6 2014 lowks@lowkster.com
- Adding initial version of python-hamcrest
